Page MenuHomePhabricator

Use label & description index for fulltext search
Closed, ResolvedPublic

Description

Use label index and description index from T176903 to implement better fulltext search in Wikidata.

Related Objects

StatusAssignedTask
ResolvedWikidata-bugs
DeclinedNone
OpenNone
Resolvedaude
ResolvedSmalyshev
Resolvedaude
ResolvedNone
InvalidNone
ResolvedSmalyshev
ResolvedSmalyshev
ResolvedLydia_Pintscher
DuplicateSmalyshev
ResolvedSmalyshev
ResolvedSmalyshev
ResolvedSmalyshev
ResolvedSmalyshev
ResolvedSmalyshev
Resolveddcausse
DuplicateNone
DeclinedNone
DeclinedNone
Resolveddaniel
ResolvedLydia_Pintscher
OpenNone
DeclinedNone
ResolvedSmalyshev
Resolveddcausse
Resolveddcausse
ResolvedSmalyshev

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 23 2017, 11:19 PM
Smalyshev triaged this task as Normal priority.
Smalyshev moved this task from needs triage to Current work on the Discovery-Search board.
Smalyshev added a project: Discovery.

Change 380895 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/extensions/Wikibase@master] [WIP] Add fulltext search support for Wikidata labels

https://gerrit.wikimedia.org/r/380895

Smalyshev moved this task from Backlog to Doing on the User-Smalyshev board.
debt added a subscriber: debt.Oct 25 2017, 8:54 PM
Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.Dec 18 2017, 2:58 PM
Smalyshev moved this task from Doing to In review on the User-Smalyshev board.Jan 17 2018, 6:49 PM
Abit added a subscriber: Abit.Mar 6 2018, 2:58 AM

Change 417011 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/extensions/Wikibase@master] Extract link formatting function into separate class

https://gerrit.wikimedia.org/r/417011

Change 417011 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Extract link formatting function into separate class

https://gerrit.wikimedia.org/r/417011

Change 380895 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Add fulltext search support for Wikidata labels

https://gerrit.wikimedia.org/r/380895

Change 420855 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/extensions/Wikibase@master] Actually enable the query builder hook

https://gerrit.wikimedia.org/r/420855

Change 420855 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Actually enable the query builder hook

https://gerrit.wikimedia.org/r/420855

Smalyshev closed this task as Resolved.Apr 3 2018, 12:52 AM

This is now done.